"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const Typography_1 = tslib_1.__importDefault(require("@material-ui/core/Typography"));
const react_redux_1 = require("react-redux");
const core_1 = require("@material-ui/core");
const react_1 = tslib_1.__importStar(require("react"));
const store_1 = require("../store");
const LayoutAppBar_1 = require("./LayoutAppBar");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
const mapStateToProps = (state) => {
    return {
        regeneratePreviewsText: state.sensenetDocumentViewer.localization.regeneratePreviews,
        regenerateButton: state.sensenetDocumentViewer.localization.regenerateButton,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
const mapDispatchToProps = {
    regeneratePreviews: store_1.regeneratePreviews,
};
exports.DocumentViewerRegeneratePreviewsComponent = props => {
    const [isRegenerating, setIsRegenerating] = react_1.useState(false);
    /**
     * renders the component
     */
    return (react_1.default.createElement("div", { style: {
            display: 'flex',
            justifyContent: 'space-around',
            alignContent: 'center',
            alignItems: 'center',
            height: '100%',
        } },
        react_1.default.createElement(LayoutAppBar_1.LayoutAppBar, { style: { position: 'fixed', top: 0 } },
            react_1.default.createElement("span", null)),
        react_1.default.createElement("div", { style: {
                display: 'flex',
                justifyContent: 'space-between',
                alignItems: 'center',
                flexDirection: 'column',
                maxWidth: 500,
                margin: '.5em 0 .6em 0',
            } },
            react_1.default.createElement(Typography_1.default, { variant: "subtitle1", color: "textSecondary", align: "center", gutterBottom: true }, props.regeneratePreviewsText),
            react_1.default.createElement(core_1.Button, { variant: "contained", disabled: isRegenerating, onClick: () => {
                    setIsRegenerating(true);
                    props.regeneratePreviews();
                } },
                isRegenerating && react_1.default.createElement(core_1.CircularProgress, { size: 24, style: { marginRight: '1em' } }),
                props.regenerateButton))));
};
const connectedComponent = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(exports.DocumentViewerRegeneratePreviewsComponent);
exports.DocumentViewerRegeneratePreviews = connectedComponent;
//# sourceMappingURL=DocumentViewerRegeneratePreviews.js.map